package db

import (
	"acme-mana-server-go/config"
	"acme-mana-server-go/model"
	"github.com/glebarez/sqlite"
	"gorm.io/gorm"
)

var db *gorm.DB

func init() {
	initDb()
}

func Db() *gorm.DB {
	return db
}
func initDb() {
	conf := config.GetConfig()
	dbConf := conf.Db
	dbFile := dbConf.File
	conn, err := gorm.Open(sqlite.Open(dbFile), &gorm.Config{})
	if err != nil {
		panic("failed to connect database")
	}
	err = conn.AutoMigrate(&model.Domain{})
	if err != nil {
		panic(err)
	}
	db = conn

}
