package handler

import (
	"acme-mana-server-go/vo"
	"github.com/gin-gonic/gin"
)

func GlobalPanicHandler() gin.HandlerFunc {
	return func(ctx *gin.Context) {
		defer func() {
			if err := recover(); err != nil {
				ctx.JSON(500, vo.Fail(err.(error).Error()))
				ctx.Abort()
			}
		}()
		ctx.Next()
	}
}

func GlobalErrorHandler() gin.HandlerFunc {
	return func(c *gin.Context) {
		c.Next()
		if len(c.Errors) > 0 {
			c.JSON(500, vo.Fail(c.Errors.String()))
			c.Abort()
		}
		err := recover()
		if err != nil {
			c.JSON(500, vo.Fail(err.(error).Error()))
			c.Abort()
		}
	}
}
