package server

import (
	"acme-mana-server-go/config"
	"acme-mana-server-go/handler"
	"github.com/gin-gonic/gin"
)

func Start() {
	engine := gin.Default()
	engine.Use(gin.Recovery())
	engine.Use(handler.GlobalPanicHandler())
	engine.Use(handler.GlobalErrorHandler())
	handler.RegisterRouter(engine)
	serverConf := config.GetConfig().Server
	err := engine.Run(serverConf.Host + ":" + serverConf.Port)
	if err != nil {
		panic(err)
	}
}
